petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSSetDM

Sets the DM that may be used by some nonlinear solvers or preconditioners under the TS

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetDM(TS ts,DM dm)

Logically Collective on ts

### Input Parameters

| ts | - the ODE integrator object
| dm | - the dm, cannot be NULL

### Notes

A DM can only be used for solving one problem at a time because information about the problem is stored on the DM, even when not using interfaces like DMTSSetIFunction(). Use DMClone() to get a distinct DM when solving different problems using the same function space.

### See Also

TSGetDM(), SNESSetDM(), SNESGetDM()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex15.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex25.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages